
From: Olof Johansson <olof@austin.ibm.com>

Nathan Lynch pointed this out: The CPU sibling map is never initialized on
iSeries.  This makes the scheduler very unhappy if CONFIG_SCHED_SMT is
enabled, causing an oops in find_busiest_group during boot.

Below patch adds the expected init.

Signed-off-by: Olof Johansson <olof@austin.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/iSeries_smp.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ppc64/kernel/iSeries_smp.c~ppc64-setup-cpu_sibling_map-on-iseries arch/ppc64/kernel/iSeries_smp.c
--- 25/arch/ppc64/kernel/iSeries_smp.c~ppc64-setup-cpu_sibling_map-on-iseries	Thu Oct 28 15:39:15 2004
+++ 25-akpm/arch/ppc64/kernel/iSeries_smp.c	Thu Oct 28 15:39:15 2004
@@ -94,6 +94,7 @@ static int smp_iSeries_numProcs(void)
                 if (paca[i].lppaca.xDynProcStatus < 2) {
 			cpu_set(i, cpu_possible_map);
 			cpu_set(i, cpu_present_map);
+			cpu_set(i, cpu_sibling_map[i]);
                         ++np;
                 }
         }
_
